## ibid 0.1.0+dfsg

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/Ibid.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/Ibid.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

=== debian/changelog ===
ibid (0.1.0+dfsg-2+squeeze1) stable; urgency=medium

  * Fix the following security issues. Fixes backported from 0.1.1 bugfix
    release (Closes: #618026):
    - perms-705860.patch: Enforce access-restriction on handlers without
      @match patterns. (LP: #705860)
    - logfile-visibility-567576.patch: Channels must be explicitly configured
      to have publicly readable logs. (LP: #567576)
    - meeting-privacy-649383.patch: Don't report private messages from the bot
      in meeting minutes. (LP: #649383)
  * http-features-fix-545168.patch: Fix the breakage of the http source
    (LP: #545168)

 -- Stefano Rivera <stefanor@debian.org>  Mon, 26 Sep 2011 15:57:26 +0200

ibid (0.1.0+dfsg-2) unstable; urgency=low

  * Don't leak uid and umask into source tarball.
  * Suggest nmap.
  * Apply sqlalchemy-0.6-support.patch, allowing Debian to transition to
    SQLAlchemy 0.6 (Closes: #584761)

 -- Stefano Rivera <stefano@rivera.za.net>  Thu, 17 Jun 2010 19:23:29 +0200

ibid (0.1.0+dfsg-1) unstable; urgency=low

  * Initial upstream release.
  * Patches:
    - Update separate-data patch. Upstream incorporated fixes to make this
      patch much simpler and less invasive.
    - Add fortune-path.diff: Change fortune's default location to be absolute
      path /usr/games/fortune.
  * debian/rules:
    - Run test suite with all python interpreters.
    - Respect nocheck in DEB_BUILD_OPTIONS.
  * debian/control:
    - Unversion dependency on python-imdbpy.

 -- Stefano Rivera <stefano@rivera.za.net>  Wed, 10 Mar 2010 20:32:28 +0200

ibid (0+bzr881+dfsg-1) experimental; urgency=low

  * Initial release (Closes: #565885)

 -- Stefano Rivera <stefano@rivera.za.net>  Sun, 07 Feb 2010 00:10:35 +0200

=== debian/control ===
Source: ibid
Section: net
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-central (>= 0.6.7~),
 python-all, python-beautifulsoup, python-configobj (>= 4.7), python-dateutil,
 python-html5lib, python-jinja, python-pkg-resources, python-setuptools,
 python-simplejson, python-soappy, python-sphinx, python-sqlalchemy (>= 0.5),
 python-twisted-core, python-twisted-web
Standards-Version: 3.8.4
Homepage: http://ibid.omnia.za.net/
Vcs-Svn: svn://svn.debian.org/python-apps/packages/ibid/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/ibid/trunk/
XS-Python-Version: >= 2.5

Package: ibid
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${misc:Depends}, ${python:Depends},
 libjs-jquery, python (>= 2.6) | python-simplejson, python-beautifulsoup,
 python-chardet, python-configobj (>= 4.7), python-dateutil, python-html5lib,
 python-jinja, python-pkg-resources,
 python-pysqlite2 | python-mysqldb | python-psycopg2, python-soappy,
 python-sqlalchemy (>= 0.5), python-twisted-core, python-twisted-web,
 python-twisted-words, python-zope.interface | python-zopeinterface
Recommends: fortune, ipcalc, iputils-ping, iputils-tracepath, man-db,
 python-dictclient, python-dnspython, python-feedparser, python-html2text,
 python-imdbpy, python-twisted-mail, python-wokkel (>= 0.6.3), units
Suggests: apt-file, aptitude, bc, bzr, caca-utils, dictd, nmap, python-aalib,
 python-dbus, python-imaging, python-matplotlib, python-numpy, python-objgraph,
 python-pyfiglet, python-silc, python-svn
Description: easily extensible Python IM bot for IRC, Jabber, SILC, campfire, etc.
 Ibid is a multi-protocol, general purpose, instant messaging chat bot written
 in Python. It aims for a naturalistic interface rather than strict-syntax
 commands.
 .
 Ibid understands many protocols, including IRC, Jabber/XMPP/Google Talk,
 Campfire, NMDC and SILC. It also interacts over SMTP, HTTP and various RPC
 protocols.
 .
 Ibid aims to make plugins as easy as possible to write. It ships with a large
 collection of plugins for looking up information, performing conversions,
 storing factoids, delivering messages, and much more.

=== debian/rules ===
#!/usr/bin/make -f

PKGDIR=$(CURDIR)/debian/ibid

%:
	dh --with python-central $@

TRIAL=$(shell which trial)

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for ver in $(shell pyversions -vr); do \
		PYTHONPATH=. python$$ver $(TRIAL) --reporter=text ibid; \
	done
endif

override_dh_auto_build:
	dh_auto_build
	# Old sphinx-builds (lenny) are picky
	mkdir -p docs/html docs/_static
	sphinx-build -N -bhtml docs/ docs/html/

override_dh_auto_clean:
	dh_auto_clean
	rm -rf docs/html
	rm -rf *.egg-info
	rm -rf _trial_temp
	find . -name dropin.cache -delete

override_dh_installdocs:
	dh_installdocs -Xdocs/html/_sources -Xdocs/_build -Xdocs/html/.doctrees \
	               -Xdocs/html/_static/jquery.js

override_dh_installexamples:
	dh_installexamples
	cd $(PKGDIR)/usr/share/doc/ibid/examples/factpacks && rm -f *.py *.sh

override_dh_pycentral:
	rm -rf $(wildcard $(PKGDIR)/usr/lib/python*/*-packages/ibid/templates)
	rm -rf $(wildcard $(PKGDIR)/usr/lib/python*/*-packages/ibid/test)
	rm -rf $(wildcard $(PKGDIR)/usr/lib/python*/*-packages/*.egg-info/requires.txt)
	dh_pycentral
	set -e; \
	for DATA in data configspec.ini logging.ini config.ini static templates; do \
		cp -a ibid/$$DATA $(PKGDIR)/usr/share/ibid/; \
	done

override_dh_compress:
	dh_compress -X.js

REV=$(shell dpkg-parsechangelog | sed -rne 's,^Version: .*bzr([0-9]+).*,\1,p')
VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: (.+)\+dfsg.*,\1,p')
BZR_REPO?=lp:ibid
BZR_DOCS_REPO?=lp:~ibid-dev/ibid/docs

get-orig-source:
ifeq ($(REV),)
	uscan --noconf --force-download --rename --download-version=$(VER) --destdir=.
	tar -xf ibid_$(VER).orig.tar.gz
	mv Ibid-$(VER) ibid-$(VER)
	rm -f ibid_$(VER).orig.tar.gz
else
	bzr export -r $(REV) ibid-$(VER) $(BZR_REPO)
	rm -rf ibid-$(VER)/docs
	bzr export ibid-$(VER)/docs $(BZR_DOCS_REPO)/docs
endif
	cd ibid-$(VER)/factpacks/ && rm -f handey.json overlord.json wrestling.json zippy.json
	GZIP=--best tar -cz --owner root --group root --mode a+rX \
	                -f ibid_$(VER)+dfsg.orig.tar.gz ibid-$(VER)
	rm -rf ibid-$(VER)

## ibid 0.1.1+dfsg

=== debian/changelog ===
ibid (0.1.1+dfsg-4build1) artful; urgency=medium

  * No-change rebuild for sqlalchemy 1.1.x.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 10:50:20 +0100

ibid (0.1.1+dfsg-4) unstable; urgency=low

  * Actually change the Depends to jinja2
  * Bump standards version to 3.9.3, no changes needed.
  * Update machine readable copyright file to format 1.0.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 15 May 2012 19:46:20 -0700

ibid (0.1.1+dfsg-3) unstable; urgency=low

  * Document bundled extlinks.py in copyright.
  * Correct DEP3 headers (first line of Description is the subject)
  * Use dh_sphinxdoc.
    - Bump python-sphinx Build-Depends.
    - Don't link jquery.js to libjs-jquery.
  * Don't compress Sphinx _sources.
  * Use Jinja2 instead of Jinja. (Closes: #634910)
  * Drop Suggests on python-silc, to allow silc-toolkit to be removed from
    Debian. (Closes: #629221)
  * sqlalchemy-0.7.diff: Update SQLAlchemy 0.6 patch for 0.7 support.
    (Closes: #634913)
  * pyfiglet-0.6.diff: Support pyfiglet 0.6 (only).
  * Bump Standards-Version to 3.9.2 (no changes needed).
  * Drop ${python:Breaks}, no longer used.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 19 Aug 2011 12:02:28 +0200

ibid (0.1.1+dfsg-2) unstable; urgency=low

  * Team upload.
  * Rebuild to add Python 2.7 support

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 08 May 2011 16:46:00 +0200

ibid (0.1.1+dfsg-1) unstable; urgency=low

  * New upstream bug-fix release.
    - Built documentation is included, removed in get-orig-source.
  * Update my e-mail address.
  * Update debian/copyright format. youtube-dl is now public domain.
  * Move mysqldb | psycopg2 to suggests, Ibid will use the stdlib sqlite3 by
    default.
  * Refresh patches.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 24 Feb 2011 01:21:35 +0200

ibid (0.1.0+dfsg-3) experimental; urgency=low

  [ Jakub Wilk ]
  * Set maintainer to Python Applications Packaging Team.

  [ Stefano Rivera ]
  * Don't compress objects.inv. Thanks to Michael Fladischer for the report.
    (Closes: #608753)
  * Switch from pycentral to dh_python2.
    - Use X-Python-Version, and ${python:Breaks}.
    - Drop XB-Python-Version.
    - Version python-all Build-Depends to >= 2.6.5-13~.
  * Install data with dh_install instead of for loop in debian/rules.
  * Don't install ibid.static module, it's shipped in /usr/share/ibid.
  * Reorganise docs: Install rst as Sphinx _sources, so searching works.
    - Build docs in build/docs
  * Use twisted-plugins-cache trigger, drop postinst and postrm.
    - Version python-twisted-core dependency to >= 10.0.0-3~.
  * debian/control:
    - Wrap and sort multi-line fields.
    - Bump Standards-Version to 3.9.1 (no changes needed).
  * debian/copyright: Bump year.

 -- Stefano Rivera <stefano@rivera.za.net>  Fri, 07 Jan 2011 23:01:06 +0200

=== debian/control ===
Source: ibid
Section: net
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~),
 python-all (>= 2.6.5-13~),
 python-beautifulsoup,
 python-configobj (>= 4.7),
 python-dateutil,
 python-html5lib,
 python-jinja2,
 python-pkg-resources,
 python-setuptools,
 python-simplejson,
 python-soappy,
 python-sphinx (>= 1.0.7+dfsg),
 python-sqlalchemy (>= 0.5),
 python-twisted-core,
 python-twisted-web
Standards-Version: 3.9.3
Homepage: http://ibid.omnia.za.net/
Vcs-Svn: svn://svn.debian.org/python-apps/packages/ibid/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/ibid/trunk/
X-Python-Version: >= 2.5

Package: ibid
Architecture: all
Depends:
 python (>= 2.6) | python-simplejson,
 python-beautifulsoup,
 python-chardet,
 python-configobj (>= 4.7),
 python-dateutil,
 python-html5lib,
 python-jinja2,
 python-pkg-resources,
 python-soappy,
 python-sqlalchemy (>= 0.5),
 python-twisted-core (>= 10.0.0-3~),
 python-twisted-web,
 python-twisted-words,
 python-zope.interface | python-zopeinterface,
 ${misc:Depends},
 ${python:Depends},
 ${sphinxdoc:Depends}
Recommends:
 fortune,
 ipcalc,
 iputils-ping,
 iputils-tracepath,
 man-db,
 python-dictclient,
 python-dnspython,
 python-feedparser,
 python-html2text,
 python-imdbpy,
 python-twisted-mail,
 python-wokkel (>= 0.6.3),
 units
Suggests:
 apt-file,
 aptitude,
 bc,
 bzr,
 caca-utils,
 dictd,
 nmap,
 python-aalib,
 python-dbus,
 python-imaging,
 python-matplotlib,
 python-mysqldb | python-psycopg2,
 python-numpy,
 python-objgraph,
 python-pyfiglet (>= 0.6),
 python-svn
Description: easily extensible Python IM bot for IRC, Jabber, SILC, campfire, etc.
 Ibid is a multi-protocol, general purpose, instant messaging chat bot written
 in Python. It aims for a naturalistic interface rather than strict-syntax
 commands.
 .
 Ibid understands many protocols, including IRC, Jabber/XMPP/Google Talk,
 Campfire, NMDC and SILC. It also interacts over SMTP, HTTP and various RPC
 protocols.
 .
 Ibid aims to make plugins as easy as possible to write. It ships with a large
 collection of plugins for looking up information, performing conversions,
 storing factoids, delivering messages, and much more.

=== debian/rules ===
#!/usr/bin/make -f

PKGDIR=$(CURDIR)/debian/ibid

%:
	dh $@ --with python2,sphinxdoc

TRIAL=$(shell which trial)

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for ver in $(shell pyversions -vr); do \
		PYTHONPATH=. python$$ver $(TRIAL) --reporter=text ibid; \
	done
endif

override_dh_auto_build:
	dh_auto_build
	# Old sphinx-builds (lenny) are picky
	mkdir -p docs/html docs/_static
	sphinx-build -N -bhtml docs/ build/docs

override_dh_auto_install:
	dh_auto_install
	rm -rf $(PKGDIR)/usr/lib/python*/*-packages/ibid/test
	rm -rf $(PKGDIR)/usr/lib/python*/*-packages/*.egg-info/requires.txt

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf *.egg-info
	rm -rf _trial_temp
	find . -name dropin.cache -delete

override_dh_installdocs:
	dh_installdocs
	cd $(PKGDIR)/usr/share/doc/ibid && mv docs html

override_dh_installexamples:
	dh_installexamples
	cd $(PKGDIR)/usr/share/doc/ibid/examples/factpacks && rm -f *.py *.sh

override_dh_compress:
	dh_compress -X.inv -X.txt

override_dh_python2:
	dh_python2 --no-guessing-deps

REV=$(shell dpkg-parsechangelog | sed -rne 's,^Version: .*bzr([0-9]+).*,\1,p')
VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: (.+)\+dfsg.*,\1,p')
BZR_REPO?=lp:ibid
BZR_DOCS_REPO?=lp:~ibid-dev/ibid/docs

get-orig-source:
ifeq ($(REV),)
	uscan --noconf --force-download --rename --download-version=$(VER) --destdir=.
	tar -xf ibid_$(VER).orig.tar.gz
	mv Ibid-$(VER) ibid-$(VER)
	rm -f ibid_$(VER).orig.tar.gz
else
	bzr export -r $(REV) ibid-$(VER) $(BZR_REPO)
	rm -rf ibid-$(VER)/docs
	bzr export ibid-$(VER)/docs $(BZR_DOCS_REPO)/docs
endif
	cd ibid-$(VER)/factpacks/ && rm -f handey.json overlord.json wrestling.json zippy.json
	rm -rf ibid-$(VER)/docs/html
	GZIP=--best tar -cz --owner root --group root --mode a+rX \
	                -f ibid_$(VER)+dfsg.orig.tar.gz ibid-$(VER)
	rm -rf ibid-$(VER)
